Bug 1403213 - Middleware pages are missing both classic search and advanced search, but they have filters panel
Summary: Middleware pages are missing both classic search and advanced search, but the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.8.0
Assignee: Cainã Costa
QA Contact: Sunil Kondkar
URL:
Whiteboard: hawkular:search
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 12:48 UTC by Matouš Mojžíš
Modified: 2018-07-25 15:56 UTC (History)
12 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:31:53 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Matouš Mojžíš 2016-12-09 12:48:59 UTC
Description of problem:
GH Issue:https://github.com/ManageIQ/manageiq/issues/10600

Version-Release number of selected component (if applicable):
5.7.0.14

How reproducible:
Always

Steps to Reproduce:
1. Navigate to any Middleware page(Topology excluded)
2. 
3.

Actual results:
On the left side is filters panel, but filters can't be added, because search/advanced search is missing

Expected results:
Add search with advanced search button

Additional info:

Comment 2 Harpreet Kataria 2016-12-09 20:31:49 UTC
Gregg,

Can you please assign appropriately, Search is missing on Middleware screens.

Thanks,
~Harpreet

Comment 3 Cainã Costa 2017-02-09 12:24:53 UTC
Hello,

I did some testing and it seems that the search/advanced search is implemented in all middleware screens. Am I missing something or was this implemented but the ticket was not closed?

Cheers,
Caina

Comment 4 Heiko W. Rupp 2017-02-09 12:28:15 UTC
This was tested against MiQ master.

Comment 5 Matouš Mojžíš 2017-02-14 17:56:23 UTC
I can't see search/advanced search for any middleware related pages on 5.7.1.1.

Comment 6 Cainã Costa 2017-02-15 14:04:13 UTC
Matous,

Can you check if it is different on master? I'm guessing the commits responsible for them were not backported yet.

Comment 7 Cainã Costa 2017-02-15 14:04:31 UTC
Matous,

Can you check if it is different on master? I'm guessing the commits responsible for them were not backported yet.

Comment 8 Cainã Costa 2017-02-28 20:38:57 UTC
Mike,

Can you check if this is already implemented?

Comment 9 Cainã Costa 2017-03-01 15:32:58 UTC
Marking it as POST, given that it is already available on master.

Comment 11 Cainã Costa 2017-03-20 16:26:45 UTC
Not sure, but I think so, yeah.

Comment 12 Sunil Kondkar 2017-03-24 13:49:11 UTC
Verified on CFME Version 5.8.0.7.20170321164727_1c97ccd 

classic search and advanced search is now available on middleware entity screens except on topology screen as expected.

Comment 13 Cainã Costa 2017-05-04 16:56:41 UTC
Is there a reason why this is still open?

Comment 14 Sunil Kondkar 2017-05-08 14:54:26 UTC
Hi,
The bug is in verified status after QE verification.
Referencing the Bugzilla workflow doc: https://mojo.redhat.com/docs/DOC-1089962

Comment 16 errata-xmlrpc 2017-05-31 14:31:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.